SoMultiTextureImageElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoMultiTextureImageElement Class Reference
Element Classes

The SoMultiTextureImageElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoMultiTextureImageElement.h>`

Inheritance diagram for SoMultiTextureImageElement:

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
virtual SbBool | matches (const SoElement *elem) const
SoElement * | copyMatchInfo (void) const
virtual void | setElt (const int unit, const uint32_t nodeid, const SbVec2s &size, const int numComponents, const unsigned char *bytes, const SoTextureImageElement::Wrap wrapS, const SoTextureImageElement::Wrap wrapT, const SoTextureImageElement::Model model, const SbColor &blendColor)
| FIXME: write doc.
virtual void | setElt (const int unit, const uint32_t nodeid, const SbVec3s &size, const int numComponents, const unsigned char *bytes, const SoTextureImageElement::Wrap wrapS, const SoTextureImageElement::Wrap wrapT, const SoTextureImageElement::Wrap wrapR, const SoTextureImageElement::Model model, const SbColor &blendColor)
virtual SbBool | hasTransparency (const int unit) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setDefault (SoState *const state, SoNode *const node, const int unit)
static void | set (SoState *const state, SoNode *const node, const int unit, const SbVec2s &size, const int numComponents, const unsigned char *bytes, const SoTextureImageElement::Wrap wrapS, const SoTextureImageElement::Wrap wrapT, const SoTextureImageElement::Model model, const SbColor &blendColor)
| FIXME: write doc.
static void | set (SoState *const state, SoNode *const node, const int unit, const SbVec3s &size, const int numComponents, const unsigned char *bytes, const SoTextureImageElement::Wrap wrapS, const SoTextureImageElement::Wrap wrapT, const SoTextureImageElement::Wrap wrapR, const SoTextureImageElement::Model model, const SbColor &blendColor)
static const unsigned char * | get (SoState *const state, const int unit, SbVec2s &size, int &numComponents, SoTextureImageElement::Wrap &wrapS, SoTextureImageElement::Wrap &wrapT, SoTextureImageElement::Model &model, SbColor &blendColor)
| FIXME: write doc.
static const unsigned char * | get (SoState *const state, const int unit, SbVec3s &size, int &numComponents, SoTextureImageElement::Wrap &wrapS, SoTextureImageElement::Wrap &wrapT, SoTextureImageElement::Wrap &wrapR, SoTextureImageElement::Model &model, SbColor &blendColor)
static const unsigned char * | getImage (SoState *const state, const int unit, SbVec2s &size, int &numComponents)
static const unsigned char * | getImage (SoState *const state, const int unit, SbVec3s &size, int &numComponents)
static const SbColor & | getBlendColor (SoState *const state, const int unit)
static SoTextureImageElement::Model | getModel (SoState *const state, const int unit)
static SoTextureImageElement::Wrap | getWrapS (SoState *const state, const int unit)
static SoTextureImageElement::Wrap | getWrapT (SoState *const state, const int unit)
static SoTextureImageElement::Wrap | getWrapR (SoState *const state, const int unit)
static SbBool | containsTransparency (SoState *const state)
| FIXME: write doc.
static const unsigned char * | getDefault (SbVec2s &size, int &numComponents)
| FIXME: write doc.
static const unsigned char * | getDefault (SbVec3s &size, int &numComponents)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoMultiTextureImageElement ()
const UnitData & | getUnitData (const int unit) const
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoMultiTextureImageElement class is yet to be documented.

FIXME: write doc.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.2

## Constructor & Destructor Documentation

SoMultiTextureImageElement::~SoMultiTextureImageElement | ( |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoMultiTextureImageElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoMultiTextureImageElement::initClass | ( | void |  | ) |
| static

This static method initializes static data for the SoMultiTextureImageElement class.

void SoMultiTextureImageElement::setDefault | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const int | unit
| ) |  |
| static

Resets this element to its original values.

void SoMultiTextureImageElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const int | unit,
|  | const SbVec3s & | size,
|  | const int | numComponents,
|  | const unsigned char * | bytes,
|  | const SoTextureImageElement::Wrap | wrapS,
|  | const SoTextureImageElement::Wrap | wrapT,
|  | const SoTextureImageElement::Wrap | wrapR,
|  | const SoTextureImageElement::Model | model,
|  | const SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

const unsigned char * SoMultiTextureImageElement::get | ( | SoState *const | state,
|  | const int | unit,
|  | SbVec3s & | size,
|  | int & | numComponents,
|  | SoTextureImageElement::Wrap & | wrapS,
|  | SoTextureImageElement::Wrap & | wrapT,
|  | SoTextureImageElement::Wrap & | wrapR,
|  | SoTextureImageElement::Model & | model,
|  | SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

const unsigned char * SoMultiTextureImageElement::getImage | ( | SoState *const | state,
|  | const int | unit,
|  | SbVec2s & | size,
|  | int & | numComponents
| ) |  |
| static

FIXME: write doc

const unsigned char * SoMultiTextureImageElement::getImage | ( | SoState *const | state,
|  | const int | unit,
|  | SbVec3s & | size,
|  | int & | numComponents
| ) |  |
| static

FIXME: write doc

const SbColor & SoMultiTextureImageElement::getBlendColor | ( | SoState *const | state,
|  | const int | unit
| ) |  |
| static

FIXME: write doc.

SoTextureImageElement::Model SoMultiTextureImageElement::getModel | ( | SoState *const | state,
|  | const int | unit
| ) |  |
| static

FIXME: write doc.

SoTextureImageElement::Wrap SoMultiTextureImageElement::getWrapS | ( | SoState *const | state,
|  | const int | unit
| ) |  |
| static

FIXME: write doc.

SoTextureImageElement::Wrap SoMultiTextureImageElement::getWrapT | ( | SoState *const | state,
|  | const int | unit
| ) |  |
| static

FIXME: write doc.

SoTextureImageElement::Wrap SoMultiTextureImageElement::getWrapR | ( | SoState *const | state,
|  | const int | unit
| ) |  |
| static

FIXME: write doc.

const unsigned char * SoMultiTextureImageElement::getDefault | ( | SbVec3s & | size,
|  | int & | numComponents
| ) |  |
| static

FIXME: write doc.

void SoMultiTextureImageElement::push | ( | SoState * | state | ) |
| virtual

This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

Reimplemented in SoGLMultiTextureImageElement.

SbBool SoMultiTextureImageElement::matches | ( | const SoElement * | element | ) | const
| virtual

This function returns `TRUE` is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

SoElement * SoMultiTextureImageElement::copyMatchInfo | ( | void |  | ) | const
| virtual

This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scenegraph traversal caching operations.

Implements SoElement.

void SoMultiTextureImageElement::setElt | ( | const int | unit,
|  | const uint32_t | nodeid,
|  | const SbVec3s & | size,
|  | const int | numComponents,
|  | const unsigned char * | bytes,
|  | const SoTextureImageElement::Wrap | wrapS,
|  | const SoTextureImageElement::Wrap | wrapT,
|  | const SoTextureImageElement::Wrap | wrapR,
|  | const SoTextureImageElement::Model | model,
|  | const SbColor & | blendColor
| ) |  |
| virtual

FIXME: write doc.

SbBool SoMultiTextureImageElement::hasTransparency | ( | const int | unit | ) | const
| virtual

Called by containsTransparency(). Returns TRUE if image data has transparency. Default method does a very poor job of detecting this, since it returns TRUE when the number of components are 2 or

1. Override whenever it is important to know this (SoGLTextureImageElement overrides it to avoid transparency handling where possible).

Reimplemented in SoGLMultiTextureImageElement.

The documentation for this class was generated from the following files:

- SoMultiTextureImageElement.h
- SoMultiTextureImageElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.